One Trading API
REST API
WebSocket API
REST API
WebSocket API
  1. Futures
  • Public
    • Currencies
      GET
    • Instruments
      GET
    • Candlesticks
      GET
    • Fee Groups
      GET
    • Order Book
      GET
    • Market Ticker
      GET
    • Market Ticker For Instrument
      GET
    • Time
      GET
  • Trading
    • Balances
      GET
    • Fees
      GET
    • Get Orders
      GET
    • Create Order
      POST
    • Get Order by Order ID
      GET
    • Get Order by Client ID
      GET
    • Cancel All Orders
      DELETE
    • Cancel Order by Order ID
      DELETE
    • Cancel Order by Client ID
      DELETE
    • Get Trades for Order
      GET
    • Get Trades
      GET
    • Get Trade by Trade ID
      GET
  • Futures
    • Introduction
    • Funding Rate Methodology
    • Funding Payments
      GET
    • Positions
      GET
    • Position Trades
      GET
    • Position Funding Payments
      GET
    • Funding Rate Settings
      GET
    • Current Funding Rate
      GET
    • Funding Rate History
      GET
    • Futures Portfolio Summary
      GET
    • Get Futures Open Positions
      GET
  1. Futures

Position Funding Payments

Developing
GET
https://api.onetrading.com/fast/v1/account/futures/positions/{position_id}/funding-payments
Returns an array of funding payment records for the specified position, sorted by timestamp in descending order (most recent first).

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Responses

🟢200Success
application/json
Body

🟠400Bad Request
🟠403Forbidden
🔴500ServerError
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.onetrading.com/fast/v1/account/futures/positions/2111199765938682/funding-payments' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "funding_payments": [
        {
            "account_id": "aaaba8bd-3195-4f72-87ff-98720a940f23",
            "position_id": "2111199765938682",
            "instrument_code": "BTC_USD_P",
            "funding_rate": "0.0000179038",
            "mark_price": "89925.04",
            "funding_payment": "-0.0161",
            "cash_balance": "106882.4305",
            "time": "2026-01-28T12:00:01.054379456Z"
        },
        {
            "account_id": "aaaba8bd-3195-4f72-87ff-98720a940f23",
            "position_id": "2111199765938682",
            "instrument_code": "BTC_USD_P",
            "funding_rate": "0.0000179029",
            "mark_price": "89390.01",
            "funding_payment": "-0.0144",
            "cash_balance": "106655.4032",
            "time": "2026-01-28T16:00:01.055094817Z"
        },
        {
            "account_id": "aaaba8bd-3195-4f72-87ff-98720a940f23",
            "position_id": "2111199765938682",
            "instrument_code": "BTC_USD_P",
            "funding_rate": "0.0000179051",
            "mark_price": "89361.93",
            "funding_payment": "-0.0144",
            "cash_balance": "106628.0604",
            "time": "2026-01-28T20:00:01.055392483Z"
        }
    ]
}
Previous
Position Trades
Next
Funding Rate Settings
Built with